=== debian/changelog ===
podiff (1.4-3) unstable; urgency=medium

  * Fix metadata Repository and Repository-Browse fields
  * Remove modifying CFLAGS in Makefile in the patch
  * Fix CFLAGS usage in rules/Makefile

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 11 Sep 2024 17:46:32 +0200

podiff (1.4-2) unstable; urgency=medium

  * Upload to unstable to allow migration to testing
  * Add Vcs-Git and Vcs-Browser fields

 -- Andreas Rönnquist <gusnan@debian.org>  Sun, 08 Sep 2024 20:24:52 +0200

podiff (1.4-1) experimental; urgency=medium

  * Initial release. (Closes: #1080367)

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 07 Sep 2024 17:27:20 +0200
