=== debian/control ===
Source: podiff
Maintainer: Andreas Rönnquist <gusnan@debian.org>
Section: misc
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gettext
Rules-Requires-Root: no
Homepage: http://puszcza.gnu.org.ua/software/podiff
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/podiff.git
Vcs-Browser: https://salsa.debian.org/debian/podiff


Package: podiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: compare textual information in two PO files
 The podiff utility finds differences in translatable strings and translations
 between two PO files or between two revisions of the same file. It uses diff
 to generate the output. Before comparing, it eliminates all comments and
 multiple empty lines, sorts the two files by their msgid and reformats all
 textual strings in a uniform manner. The utility is intended to help
 translators obtain meaningful information about changes they do to PO files.
