=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

PACKAGE = $(shell dh_listpackages)

EXTERNAL_CFLAGS = $(CFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="${EXTERNAL_CFLAGS}"

override_dh_auto_install:
	install -d $$(pwd)/debian/$(PACKAGE)$(PREFIX)/usr/bin
	install -d $$(pwd)/debian/$(PACKAGE)$(PREFIX)/usr/share/man/man1
	$(MAKE) DESTDIR=$$(pwd)/debian/$(PACKAGE) PREFIX=/usr install
