=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.gnu.org.ua/pub/release/podiff/podiff-((?![latest]).*)\.tar\.gz
